Mail archive
alpine-aports

[alpine-aports] [PATCH v2] testing/sxhkd: minor cleanup

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sat, 26 Sep 2015 10:15:54 +0200

1) rename tarball after downloading it
2) change license from 'bsd' to 'BSD'
3) Set myself as the maintainer
---
 testing/sxhkd/APKBUILD | 30 +++++++++++-------------------
 1 file changed, 11 insertions(+), 19 deletions(-)
diff --git a/testing/sxhkd/APKBUILD b/testing/sxhkd/APKBUILD
index a3bd9cc..a98433b 100644
--- a/testing/sxhkd/APKBUILD
+++ b/testing/sxhkd/APKBUILD
_at_@ -1,30 +1,21 @@
 # Contributor: Olivier Mauras <olivier_at_mauras.ch>
-# Maintainer:
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 pkgname=sxhkd
 pkgver=0.5.5
-pkgrel=0
+pkgrel=1
 pkgdesc="Simple X hotkey daemon"
 url="https://github.com/baskerville/sxhkd"
 arch="all"
-license="bsd"
+license="BSD"
 depends=""
 depends_dev="xcb-util-keysyms-dev libxcb-dev"
 makedepends="$depends_dev"
 install=""
 subpackages="$pkgname-doc"
-source="https://github.com/baskerville/sxhkd/archive/$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/baskerville/sxhkd/archive/$pkgver.tar.gz"
 
 _builddir=$srcdir/$pkgname-$pkgver
-prepare() {
-	# Apply patches
-	cd "$_builddir"
-	for i in $source; do
-                case $i in
-                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-                esac
-        done
-}
-
 build() {
 	cd "$_builddir"
 	make PREFIX=/usr
_at_@ -33,11 +24,12 @@ build() {
 package() {
 	cd "$_builddir"
 	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
-	# Copy examples 
+
+	# Install examples
 	mkdir "$pkgdir"/usr/share/$pkgname
-	cp -r examples "$pkgdir"/usr/share/$pkgname
+	cp -r examples "$pkgdir"/usr/share/$pkgname || return 1
 }
 
-md5sums="e04b8d7173059bce156bec6d8cd4297d  0.5.5.tar.gz"
-sha256sums="e6699f77564e34a890d27f6c251e1ed29b04f5177e48290e7f02948497f04313  0.5.5.tar.gz"
-sha512sums="a0ea812e4cbd63330768349045547f330cdaeec7edc3270af7e7acc4b025f7aa1d2550214db0aef9621ba619e82ee9459ee76b050cc23f780f67ed0f26e9550b  0.5.5.tar.gz"
+md5sums="e04b8d7173059bce156bec6d8cd4297d  sxhkd-0.5.5.tar.gz"
+sha256sums="e6699f77564e34a890d27f6c251e1ed29b04f5177e48290e7f02948497f04313  sxhkd-0.5.5.tar.gz"
+sha512sums="a0ea812e4cbd63330768349045547f330cdaeec7edc3270af7e7acc4b025f7aa1d2550214db0aef9621ba619e82ee9459ee76b050cc23f780f67ed0f26e9550b  sxhkd-0.5.5.tar.gz"
-- 
2.5.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Sep 26 2015 - 10:15:54 GMT